package com.bocloud.cmp.model;

import java.util.Date;
import java.util.List;

public class BucketObjectModel {
    private String name; // 名称
    private Long size; // 大小
    private String key;
    private Long bucketUuid; // 容器的id
    private String bucketName; // 容器名称
    private String filepath;
    private String acl;
    private Boolean isDirectory;
    private String value;
    private List<String> keys;
    private Integer objectIndex;
    private String parentKey;
    private String type;
    private String absolutePath;
    private Date lastModified;
    private String bucketObjectTag;
    private String fileType;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the size
     */
    public Long getSize() {
        return size;
    }

    /**
     * @param size the size to set
     */
    public void setSize(Long size) {
        this.size = size;
    }

    /**
     * @return the key
     */
    public String getKey() {
        return key;
    }

    /**
     * @param key the key to set
     */
    public void setKey(String key) {
        this.key = key;
    }

    /**
     * @return the bucketName
     */
    public String getBucketName() {
        return bucketName;
    }

    /**
     * @param bucketName the bucketName to set
     */
    public void setBucketName(String bucketName) {
        this.bucketName = bucketName;
    }

    /**
     * @return the filepath
     */
    public String getFilepath() {
        return filepath;
    }

    /**
     * @param filepath the filepath to set
     */
    public void setFilepath(String filepath) {
        this.filepath = filepath;
    }

    /**
     * @return the acl
     */
    public String getAcl() {
        return acl;
    }

    /**
     * @param acl the acl to set
     */
    public void setAcl(String acl) {
        this.acl = acl;
    }

    /**
     * @return the isDirectory
     */
    public Boolean getIsDirectory() {
        return isDirectory;
    }

    /**
     * @param isDirectory the isDirectory to set
     */
    public void setIsDirectory(Boolean isDirectory) {
        this.isDirectory = isDirectory;
    }

    /**
     * @return the value
     */
    public String getValue() {
        return value;
    }

    /**
     * @param value the value to set
     */
    public void setValue(String value) {
        this.value = value;
    }

    /**
     * @return the keys
     */
    public List<String> getKeys() {
        return keys;
    }

    /**
     * @param keys the keys to set
     */
    public void setKeys(List<String> keys) {
        this.keys = keys;
    }

    public Integer getObjectIndex() {
        return objectIndex;
    }

    public void setObjectIndex(Integer objectIndex) {
        this.objectIndex = objectIndex;
    }

    public String getParentKey() {
        return parentKey;
    }

    public void setParentKey(String parentKey) {
        this.parentKey = parentKey;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getAbsolutePath() {
        return absolutePath;
    }

    public void setAbsolutePath(String absolutePath) {
        this.absolutePath = absolutePath;
    }

    public Date getLastModified() {
        return lastModified;
    }

    public void setLastModified(Date lastModified) {
        this.lastModified = lastModified;
    }

    public String getBucketObjectTag() {
        return bucketObjectTag;
    }

    public void setBucketObjectTag(String bucketObjectTag) {
        this.bucketObjectTag = bucketObjectTag;
    }

    public Long getBucketUuid() {
        return bucketUuid;
    }

    public void setBucketUuid(Long bucketUuid) {
        this.bucketUuid = bucketUuid;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }
}
